> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Entitlement Monitor Binding

> Retrieve a single binding that associates an app entitlement with one side of a conflict monitor.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/appentitlementmonitorbinding/get
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/appentitlementmonitorbinding/get:
    post:
      tags:
        - App Entitlement Monitor Binding
      summary: Get App Entitlement Monitor Binding
      description: >-
        Retrieve a single binding that associates an app entitlement with one
        side of a conflict monitor.
      operationId: >-
        c1.api.accessconflict.v1.AppEntitlementMonitorBindingService.GetAppEntitlementMonitorBinding
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.accessconflict.v1.GetAppEntitlementMonitorBindingRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.accessconflict.v1.AppEntitlementMonitorBinding
          description: >-
            Represents the association of an app entitlement with one side (A or
            B) of a conflict monitor.
      x-codeSamples:
        - lang: go
          label: GetAppEntitlementMonitorBinding
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppEntitlementMonitorBinding.GetAppEntitlementMonitorBinding(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AppEntitlementMonitorBinding != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlementMonitorBinding.getAppEntitlementMonitorBinding();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.accessconflict.v1.GetAppEntitlementMonitorBindingRequest:
      description: >-
        The request message for retrieving a single app entitlement monitor
        binding.
      properties:
        appEntitlementId:
          description: The unique identifier of the app entitlement bound to the monitor.
          readOnly: false
          type: string
        appId:
          description: The unique identifier of the application containing the entitlement.
          readOnly: false
          type: string
        entitlementGroup:
          description: Which side of the conflict monitor (A or B) this binding belongs to.
          enum:
            - ENTITLEMENT_GROUP_UNSPECIFIED
            - ENTITLEMENT_GROUP_A
            - ENTITLEMENT_GROUP_B
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        monitorId:
          description: The unique identifier of the conflict monitor.
          readOnly: false
          type: string
      title: Get App Entitlement Monitor Binding Request
      type: object
      x-speakeasy-name-override: GetAppEntitlementMonitorBindingRequest
    c1.api.accessconflict.v1.AppEntitlementMonitorBinding:
      description: >-
        Represents the association of an app entitlement with one side (A or B)
        of a conflict monitor.
      properties:
        appEntitlementId:
          description: The unique identifier of the bound app entitlement.
          readOnly: false
          type: string
        appId:
          description: The unique identifier of the application containing the entitlement.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        entitlementGroup:
          description: >-
            Which side of the conflict monitor (A or B) this entitlement is
            assigned to.
          enum:
            - ENTITLEMENT_GROUP_UNSPECIFIED
            - ENTITLEMENT_GROUP_A
            - ENTITLEMENT_GROUP_B
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        monitorId:
          description: >-
            The unique identifier of the conflict monitor this binding belongs
            to.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: App Entitlement Monitor Binding
      type: object
      x-speakeasy-name-override: AppEntitlementMonitorBinding
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````